Bug 457577 - anaconda does not check iso dir for updates.img
anaconda does not check iso dir for updates.img
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-08-01 11:52 EDT by Will Woods
Modified: 2008-09-04 16:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-04 16:43:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Will Woods 2008-08-01 11:52:19 EDT
I used anaconda to attempt a hdiso install from an external USB drive.
The partition is labeled ISOS, so the boot line was:
where that directory contains 6 CD images and updates.img.

anaconda.log shows no signs of checking that directory for updates.img, and the
updates do not appear to have been loaded.

The only updates line in anaconda.log says:
INFO     : Looking for updates in /mnt/stage2/images/updates.img
Comment 1 Chris Lumens 2008-08-04 10:11:25 EDT
Where is your stage2 image located?
Comment 2 Will Woods 2008-08-04 11:29:50 EDT
/some/dir/i386/cd/updates.img - although that's actually a symlink to /some/dir/i386/iso/updates.img.
Comment 3 Will Woods 2008-08-04 11:45:01 EDT
Err, duh. Sorry, you said stage2.img. I'm booting from a boot.iso. so it's on /dev/sr1. I've also tried pulling the CD after kernel/initrd load, so it gets the stage2 from the isos themselves.
Comment 4 Chris Lumens 2008-09-04 16:43:52 EDT
Right, it's looking for the updates.img in the same location as the install.img, NOT the same location as the repo.  Since you've got the install.img on the boot.iso, the repo= parameter won't even be processed until we're in anaconda proper - way too late to pull down and apply any updates.

In this case you need to have the updates.img embedded in the boot.iso where you see it looking, or pass a stage2= parameter instead of using boot.iso, or use updates= to point to a remote location.

Note You need to log in before you can comment on or make changes to this bug.